Package twisted :: Package web :: Package woven :: Module view

[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.view

Classes
`LiveView` |
`View` |
`ViewNodeMutator` | A ViewNodeMutator replaces the node that is passed into generate with the result of generating the View it adapts.
`WView` |

Function Summary
| `filterStack(stack)`
| `peek(stack)`
| `poke(stack, new)`
| ``registerViewForModel`(view, model)` Registers `view' as an adapter of `model' for `interfaces.IView`.
| `viewFactory(viewClass)`
| `viewMethod(viewClass)`

Variable Summary
`string` | `__version__`
`_Feature` | `nested_scopes`
`int` | `NO_DATA_YET`
`int` | `NOT_DONE_YET`

Function Details

### registerViewForModel(view, model)

Registers `view' as an adapter of `model' for `interfaces.IView`.

Variable Details

### __version__

  Type:
    `string`
  Value:

        '1.62'

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

### NO_DATA_YET

  Type:
    `int`
  Value:

        2

### NOT_DONE_YET

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:18:20 2003 | http://epydoc.sf.net